API referenceCompany
Initiate Creating a Company
POST /company
POST
/companyRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/company" \ -H "Content-Type: application/json" \ -d '{ "user": { "email": "string", "firstName": "string", "lastName": "string" }, "company": { "name": "string", "type": "SAAS", "revenueModel": "AnnualSubscription", "timeZone": "string", "currentUserRole": "Founder", "orgType": "CCorporation" } }'{ "userId": "string", "companyId": "string", "setPasswordUrl": "string"}Schema refreshed 2026-11-11T18:57:48.657Z